c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c               the daytime coastal desert processing path
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c ... Day time coastal desert thresholds.

      real lds11_12hi_c(4)
      real ldsref2_c(4)   
      real ldsref3_c(4)   
      real lds11_4lo_c(4) 
      real lds11_4hi_c(4) 
      real ldsco2_c(4)    
      real ldsh20_c(4)
      real ldstci_c(2)

      common /desertcoast_thresholds/ lds11_12hi_c,ldsref2_c,
     +   ldsref3_c,lds11_4lo_c,lds11_4hi_c,ldsco2_c,ldsh20_c,
     +   ldstci_c
