!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the nighttime polar land processing path.
c
c!Revision History:
c 06/04 Collection 5  R. Frey
c Removed 'pnl4_12hi'.
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-35.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c     Nighttime polar land thresholds

      real pnlh20(4)   
      real pnl11_12hi(4)

      common /npland_thresholds/ pnlh20, pnl11_12hi
