C!F77-INC************************************************************
c
C!Description: Include file containing parameters which will be used
c              by a number of routines in the cloud mask processing
c              package.
c
c!Input Parameters: N/A
c
c!Output Parameters: N/A
c
c!Revision History:
c 04/14/1999 fhliang fixed prolog.
c 06/04 Collection 5  R. Frey
c Removed variables related to clear radiance processing.
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c
c!END****************************************************************

c       Include file to set main cloud mask processing
c       parameters

c       Number of 1km pixels in a MODIS line of data
        integer npixel 
        parameter(npixel = 1500)

c       Number of lines in the processing box (context)
        integer nlcntx
        parameter(nlcntx = 3)

c       Number of elements in the processing box (context)
        integer necntx
        parameter(necntx = 3)

c       Number of lines per scan cube
        integer scans_cube
        parameter(scans_cube = 10)

c       Number of bands used in cloud mask processing
        integer inband
        parameter(inband = 36)

c       Number of 250m visible band reflectances read
        integer vis_band
        parameter(vis_band = 2)

c       Actual number of bands used in algorithm
        integer bands_used
        parameter(bands_used = 19)

c       Number of bands used in sun-glint algorithm
        integer sg_bands_used
        parameter(sg_bands_used = 8)

c       Number of IR channels used
c        The number of ir channels is really 17, but one is an embedded
c       1.38 micron vis channel.
        integer ir_band 
        parameter(ir_band = 17)

c       Number of bands to do spatial variability tests on
        integer var_band
        parameter(var_band = 2)

c       Number of 250km fov's within a 1km footprint
        integer num250_per_1km
        parameter(num250_per_1km = 16)


c       Maximum number of elements in a MODIS line of data
c       (2 visible channels)
        integer nx
        parameter(nx = 4 * npixel)

c       Maximum number of lines in a scan cube of data
c       (2 visible channels)
        integer ny
        parameter(ny = 4 * scans_cube)
 
c       Bad data value
        real bad_data
        parameter (bad_data = -999.0)

c       Bad data value
        real misg
        parameter (misg = -99.0)

c       Metadata PSA missing value
        real Meta_misg
        parameter (Meta_misg = -99999.0)
