C---------------------------------------------------------------------
C!F77-INC
C
C!DESCRIPTION:  MOD35 include file containing type declarations and
C               parameters statements for product specific variables
C               and constants.
C
c!Input Parameters: N/A
c
c!Output Parameters: N/A
c
C!REVISION HISTORY:
c 04/22/1999 fhliang
c changed parameter value of LRN_THR_PAR from 900100 to 422501.
c
c 04/14/1999 fhliang
c fixed prolog.
c
C!TEAM-UNIQUE HEADER:
C
C   This software was developed by the MODIS Science Data Support Team
C   (SDST) for the National Aeronautics and Space Administration,
C   Goddard Space Flight Center, under contract NAS5-32373.
C
C!REFERENCES and CREDITS:
C
C   Written by
C   Vicky Lin                     11/03/95
C   Research and Data Systems Corporation
C   SAIC/GSC MODIS Science Data Support Office
C   7501 Forbes Blvd, Seabrook  MD 20706
C
C   vlin@ltpmail.gsfc.nasa.gov
C
C!END
C-----------------------------------------------------------------------

c     Codes are:
c     LRN_topog:    1km global land/sea mask
c     LRN_eco1:     ecosystem map (North American 1km)
c     LRN_eco2:     ecosystem map (10 minute Olson)
c     LRN_Geo:      geolocation file
c     LRN_Anc:      ancillary data file
c     LRN_mod35:    output cloud mask file
c     LRN_out:      runtime QC output file
c     LRN_L1b_250:  level 1B modis radiance file (250 m)
c     LRN_L1b_500:  level 1B modis radiance file (500 m)
c     LRN_L1b_1km:  level 1B modis radiance file (1 km)
c     LRN_DSL1b_1km: destriped level 1B modis radiance file (1 km)
c                    (temporary file that is not archived)
c     LRN_MCF:      MCF file for the output product file
c     LRN_MCF_QC:   MCF file for the runtime output debug file
c     LRN_Of_QCFile_RP: ascii file for meta runtime output
c     LRN_ANC_GDAS: ancillary GDAS 1 degree file
c     LRN_ANC_TOVS: ancillary TOVS ozone profile
c     LRN_ANC_SST:  ancillary reynolds blended SST file
c     LRN_ANC_ICE:  NCEP SSM/I ice concentration file
c     LRN_ANC_NISE: NSIDC SSM/I Near Real-Time Ice and Snow Extent 
c     LRN_THR_PAR:  threshold parameter file.

      INTEGER   LRN_topog,LRN_eco1,LRN_eco2,LRN_Geo,LRN_mod35,
     &          LRN_out,LRN_L1B_250,LRN_DSL1B_1km,LRN_DSCONF,
     &          LRN_L1B_500,LRN_L1B_1km,LRN_MCF,LRN_MCF_QC,
     &          LRN_Of_QCFile_RP,LRN_ANC_GDAS,LRN_ANC_TOVS,
     &          LRN_ANC_SST,LRN_ANC_ICE,LRN_ANC_NISE,LRN_THR_PAR

      PARAMETER (LRN_topog=900602,LRN_eco1=900601,LRN_eco2=900600,
     &           LRN_L1B_250=700000,LRN_Geo=600000,
     &           LRN_L1B_500=700001,LRN_L1B_1km=700002,LRN_mod35=422500,
c rhucek 11/30/05: added LUN 430100 (L1B destriper config file) 
     &           LRN_DSL1B_1km=430000,LRN_DSCONF=430100)

      PARAMETER (LRN_out=422551,LRN_MCF=422506,
     &           LRN_MCF_QC=422507,
     &           LRN_Of_QCFile_RP=422508)

      PARAMETER (LRN_ANC_GDAS=900000,LRN_ANC_TOVS=900020,
     &           LRN_ANC_SST=900030,LRN_ANC_ICE=900040,
     &           LRN_ANC_NISE=900100)

c 04/22/1999 fhliang: modified following line
      PARAMETER (LRN_THR_PAR=422501)
