C!F77-INC************************************************************
c
C!Description: Include file for parameters need to set the ECS
c              Core, Inventory and Archive metadata for MOD35
c
c!Input Parameters: N/A
c
c!Output Parameters: N/A
c
c!Revision History:
c 04/16/1999 fhliang
c added parameter LUN_OF_NUM_INV_RP_PAIRS.
c
c 04/14/1999 fhliang
c fixed prolog.
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c
c!END****************************************************************


c ................... CORE AND INVENTORY METADATA .................
c LUN_OF_NUM_INV_RP_PAIRS: PCF LUN containing the number of mod35 
c                          Runtime Parameters
      integer        LUN_OF_NUM_INV_RP_PAIRS
      PARAMETER     (LUN_OF_NUM_INV_RP_PAIRS = 424000)

c ... No_ParaName - Number of measured parameter names (QA misg)
      integer    No_ParaName
      parameter (No_ParaName = 1)

c ... No_PSA - Number of inventory metadata PSA's
      integer No_PSA
      parameter (No_PSA = 19)
c ... Set actual PSA names for cloud mask
      character*30 PSAName(No_PSA)
     *  / 'SuccessfulRetrievalPct',
     *    'VeryHighConfidentClearPct',
     *    'HighConfidentClearPct',
     *    'UncertainConfidentClearPct',
     *    'LowConfidentClearPct',
     *    'CloudCoverPct250m',
     *    'ClearPct250m',
     *    'DayProcessedPct',
     *    'NightProcessedPct',
     *    'SunglintProcessedPct',
     *    'Snow_IceSurfaceProcessedPct',
     *    'LandProcessedPct',
     *    'WaterProcessedPct',
     *    'ShadowFoundPct',
     *    'ThinCirrusSolarFoundPct',
     *    'ThinCirrusIR_FoundPct',
     *    'NonCloudObstructionFoundPct',
     *    'MaxSolarZenithAngle',
     *    'MinSolarZenithAngle' /

c ... Set to true if the product contains 1km science parameters but
c ... a lower resolution geolocation information.  Says that there
c ... is not a 1 to 1 correspondence.
      logical ExtGeoPntr_Flag /.true. /

c ..................... ARCHIVE METADATA ...............................
c ... Beginning LRN number of archive metadata RPS's.  It will read
c ... from this number the actual number of pairs to set (in this
c ... case it is 7).
      integer    LRN_NUM_Of_ArchiveRP_Pairs
      parameter (LRN_NUM_Of_ArchiveRP_Pairs = 424100)


c ... Number of Product Specific PSA's archive metadata for
c ... the cloud mask (only 1)
      integer    NUM_ArchivePSA_SC
      parameter (NUM_ArchivePSA_SC = 1)

c ... Name of the product specifica attribute for the cloud mask product
      character*100 Name_ArchivePSA_SC(NUM_ArchivePSA_SC)
     *  /'Cloud_Mask_Algorithm_Version_Number'/

c ... Set the value of the version number here for now.
      integer mod35_ver
      parameter (mod35_ver = 1)
