C-----------------------------------------------------------------------
C !F77-INC
C
C !DESCRIPTION:
C     Include file for atmosphere ancillary data.
C
C
C !INPUT PARAMETERS:
C     NONE
C
C
C !OUTPUT PARAMETERS:
C     NONE
C
C
C !REVISION HISTORY:
C
C !TEAM-UNIQUE HEADER:
C
C     This software is developed by the MODIS Science Data Support Team
C     for the National Aeronautics and Space Administration,
C     Goddard Space Flight Center, under contract NAS5-32373.
C
C !REFERENCES and CREDITS:
C     Written by
C     Rich Hucek/Po Li
C     Research and Data Systems Corporation
C     SAIC/GSC MODIS Science Data Support Office
C     7501 Forbes Blvd, Seabrook  MD 20706
C     rhucek@ltpmail.gsfc.nasa.gov
C     lipo@ltpmail.gsfc.nasa.gov
C
C !END
C-----------------------------------------------------------------------

c------Atmosphere ancillary input product LUNs

       integer    LUN_GDAS_0ZF
       parameter (LUN_GDAS_0ZF = 900000)

       integer    LUN_OZ_DAILY
       parameter (LUN_OZ_DAILY = 900020)

       integer    LUN_REYNSST
       parameter (LUN_REYNSST  = 900030)

       integer    LUN_SEA_ICE
       parameter (LUN_SEA_ICE  = 900040)

       integer    LUN_NISE
       parameter (LUN_NISE     = 900100)

c------Temporary I/O LUNs for preprocessed atmosphere ancillary data

       integer    LUN_TEMP_GDAS_0ZF
       parameter (LUN_TEMP_GDAS_0ZF = 497000)

       integer    LUN_TEMP_OZ_DAILY
       parameter (LUN_TEMP_OZ_DAILY = 497020)

       integer    LUN_TEMP_SEA_ICE
       parameter (LUN_TEMP_SEA_ICE  = 497040)

C------Number of Atmospheric common Ancillary files

       integer    NUM_ATMOS_COMMON_ANC
       parameter (NUM_ATMOS_COMMON_ANC = 3)

C------Array storage facility for atmosphere ancillary temporary file LUNs

       integer LUN_Temp_AtmosCommonAnc(NUM_ATMOS_COMMON_ANC) / LUN_TEMP_GDAS_0ZF,
     1                                                         LUN_TEMP_OZ_DAILY,
     2                                                         LUN_TEMP_SEA_ICE /

c------Current file sizes of NCEP formatted and unformatted sst products
       integer    SIZE_OF_REYNSST_FMT,          SIZE_OF_REYNSST_UNF
       parameter (SIZE_OF_REYNSST_FMT = 262481, SIZE_OF_REYNSST_UNF = 583264)
