C-----------------------------------------------------------------------
C !F77-INC
C
C !DESCRIPTION:  Include file used by version 2 level 1B reader.
C
C !REVISION HISTORY:
C Revision 1.2  1997/08/12  13:18:09  rhucek
C Removed declarations of variables Band_No, Cal_Type, Gain and Resol
C
C Revision 1.1  1997/04/15  12:55:18  vlin
C Initial revision
C
C !TEAM-UNIQUE HEADER:
C
C    This software is developed by the MODIS Science Data Support
C    Team for the National Aeronautics and Space Administration,
C    Goddard Space Flight Center, under contract NAS5-32373.
C
C !REFERENCES AND CREDITS:
C
C    Written by    Vicky Lin            April 1997 
C    Research and Data systems Corporation
C    SAIC/GSC MODIS Science Data Support Office
C    7501 Forbes Blvd, Seabrook MD 20706
C    vlin@modis1.gsfc.nasa.gov
C
C !END
C---------------------------------------------------------------------

      integer First_Modis_Band, Last_Modis_Band, First_250m_Band, 
     &        Last_250m_Band, First_500m_Band, Last_500m_Band,
     &        First_1km_Band, Last_1km_Band, First_Solar_Band, 
     &        Last_Solar_Band, First_Thermal_Band, Last_Thermal_Band,
     &        Resol_Is_250m, Resol_Is_500m, Resol_Is_1km, Band_Is_14, 
     &        Band_Is_13, LinesPerScan_250m, LinesPerScan_500m, 
     &        LinesPerScan_1km, LinesPerScan

      parameter (First_Modis_Band = 1, Last_Modis_Band = 36,
     &           First_250m_Band = 1,  Last_250m_Band  = 2,
     &           First_500m_Band = 3,  Last_500m_Band  = 7,
     &           First_1km_Band  = 8,  Last_1km_Band   = 36,
     &           First_Solar_Band = 1, Last_Solar_Band = 26,
     &           First_Thermal_Band = 20, Last_Thermal_Band = 36,
     &           Resol_Is_250m = 16,Resol_Is_500m = 4, Resol_Is_1km = 1,      
     &           Band_Is_14 = 14, Band_Is_13 = 13, 
     &           LinesPerScan_250m = 40,
     &           LinesPerScan_500m = 20, LinesPerScan_1km = 10)

      character*(*) High_Gain, Low_Gain
      character*(*) Cal_Is_Count, Cal_Is_Refl, Cal_Is_Rad
      
      parameter (High_Gain = 'H', Low_Gain = 'L',
     &           Cal_Is_Count = 'counts', Cal_Is_Refl = 'refl',
     &           Cal_Is_Rad = 'rad')
      
      character*40 Dim_Name(4) / 'Band_250M:MODIS_SWATH_Type_L1B',
     &             'Band_500M:MODIS_SWATH_Type_L1B',
     &             'Band_1KM_RefSB:MODIS_SWATH_Type_L1B',
     &             'Band_1KM_Emissive:MODIS_SWATH_Type_L1B' /

      character*35 EV_array_name, EV_name(4,3)
     &           / 'EV_250_RefSB', 3*' ', 'EV_250_Aggr500_RefSB',
     &             'EV_500_RefSB', 2*' ', 'EV_250_Aggr1km_RefSB',
     &    'EV_500_Aggr1km_RefSB', 'EV_1KM_RefSB', 'EV_1KM_Emissive'/

      character*35 UN_array_name, UN_name(4,3)
     &           / 'EV_250_RefSB_Uncert_Indexes', 3*' ', 
     &             'EV_250_Aggr500_RefSB_Uncert_Indexes', 
     &             'EV_500_RefSB_Uncert_Indexes', 2*' ', 
     &             'EV_250_Aggr1km_RefSB_Uncert_Indexes', 
     &             'EV_500_Aggr1km_RefSB_Uncert_Indexes', 
     &             'EV_1KM_RefSB_Uncert_Indexes', 
     &             'EV_1KM_Emissive_Uncert_Indexes'/

      character*35 Sa_array_name, Sa_name(4,3)
     &           / 4*' ', 'EV_250_Aggr500_RefSB_Samples_Used', 3*' ',
     &             'EV_250_Aggr1km_RefSB_Samples_Used', 
     &             'EV_500_Aggr1km_RefSB_Samples_Used', 2*' '/
