#---------------------------------------------------------------------------
# F77
#
# DESCRIPTION: THIS STATUS MESSAGE TEXT FILE IS A PART OF STATUS MESSAGE 
#	       FACILITY (SMF) TOOLS USED TO PROVIDE AN ERROR AND STATUS
#	       MESSAGE HANDLING MECHANISM FOR USE IN SCIENCE SOFTWARE AND
#	       IN TOOLKIT FUNCTIONS.  
#
# REVISION HISTORY:  
#		    
#
# Revision 1.5  1996/07/26  19:41:11  rhucek
# Corrected typo in comment
#
# Revision 1.4  1996/07/23  18:27:37  vlin
# Added "error message" section
#
# Revision 1.3  1995/11/30  01:13:24  rhucek
# Correcting typo on word WARNING
#
# Revision 1.2  1995/09/01  22:40:16  rhucek
# added warning message
#
# Revision 1.2  1995/06/23  16:05:21  rhucek
# Added generic FATAL and Action messages
#
# Revision 1.1  1995/06/06  15:10:10  vlin
# Initial revision
#
#
# TEAM-UNIQUE HEADER: 
#
#      THIS SOFTWARE IS DEVELOPED BY THE MODIS SCIENCE DATA SUPPORT
#      TEAM FOR THE NATIONAL AERONAUTICS AND SPACE ADMINISTRATION,
#      GODDARD SPACE FLIGHT CENTER, UNDER CONTRACT NAS5-32373.
#
# REFERENCES AND CREDITS:
#
#      WRITTEN BY VICKY LIN
#
#      RESEARCH AND DATA SYSTEMS CORPORATION
#      SAIC/GSC MODIS SCIENCE DATA SUPPORT OFFICE
#      7501 FORBES BLVD
#      SEABROOD, MD 20706
#
#      vlin@ltpmail.gsfc.nasa.gov
#
# DESIGN NOTES:
#
#-----------------------------------------------------------------------
#SAMPLE STATUS MESSAGE TEXT FILE 
# PROTOTYPE
#
%INSTR = MODIS
%LABEL = MODIS
%SEED = 39500

#ACTION MESSAGES
MODIS_A_GENERIC         ...
MODIS_A_OPEN_GEN_FILE   OPENING FILE
MODIS_A_CLOSE_GEN_FILE  CLOSING FILE

#ERROR MESSAGES
MODIS_E_GENERIC         ERROR:

#FATAL ERROR MESSAGES
MODIS_F_GENERIC         FATAL ERROR...
MODIS_F_OPEN_GEN_FILE   FATAL_ERROR...OPENING GENERIC FILE
MODIS_F_CLOSE_GEN_FILE  FATAL_ERROR...CLOSING GENERIC FILE

#MESSAGE
MODIS_M_GENERIC         MESSAGE...

#INFORMATION MESSAGE, REPORTED IN BOTH LOGSTATUS AND LOGUSER
MODIS_N_GENERIC         NOTICE...

#SUCCESS, OR NORMAL RETURN MESSAGES
MODIS_S_GENERIC         SUCCESS...
MODIS_S_SUCCESS         MODULE SUCCESSFUL
MODIS_S_OPEN_GEN_FILE   SUCCESSFUL OPEN.....GENERIC FILE
MODIS_S_CLOSE_GEN_FILE  SUCCESSFUL CLOSE....GENERIC FILE

#USER INFORMATION, REPORTED IN BOTH LOGUSER AND LOGSTATUS FILES
MODIS_U_GENERIC         USER INFO...
MODIS_U_OPEN_GEN_FILE   SUCCESSFUL OPEN.....GENERIC FILE
MODIS_U_CLOSE_GEN_FILE  SUCCESSFUL CLOSE....GENERIC FILE 

#WARNING MESSAGES
MODIS_W_GENERIC         WARNING...

# END OF MODIS_39500.t
