c-----------------------------------------------------------------------
c
c!F77-INC
c
c!Description:
c    Include file for the v2.1 PGE06 (Cloud Product) ECS metadata routines.
c
c!Input PARAMETERs:  None
c
c!Output PARAMETERs: None
c
c Revision 1.7  1998/10/28  17:37:21  fhliang
c changed NUM_PSA_MOD06 to MAX_NUM_PSA_MOD06.
c
c Revision 1.6  1998/10/23  15:31:41  rhucek
c updates by rhucek.
c
c
c!Team-unique Header:
c
c    This software is developed by the MODIS Science Data Support Team
c    for the National Aeronautics and Space Administration,
c    Goddard Space Flight Center, under contract NAS5-32373.
c
c!End
c
c-----------------------------------------------------------------------

      character*(*)  BLANK
      PARAMETER     (BLANK = ' ')

      character*(*)  FUNCNAME_PGS_MET_GET_i
      PARAMETER     (FUNCNAME_PGS_MET_GET_i = 'PGS_MET_GetPCAttr_i')

      character*(*)  FUNCNAME_PGS_MET_GET_s
      PARAMETER     (FUNCNAME_PGS_MET_GET_s = 'PGS_MET_GetPCAttr_s')

      character*(*)  FUNCNAME_PGS_MET_SET_i
      PARAMETER     (FUNCNAME_PGS_MET_SET_i = 'PGS_MET_SetAttr_i')

      character*(*)  FUNCNAME_PGS_MET_SET_s
      PARAMETER     (FUNCNAME_PGS_MET_SET_s = 'PGS_MET_SetAttr_s')

      integer        LUN_MOD06
      PARAMETER     (LUN_MOD06 = 412500)

      integer        LUN_GEO
      PARAMETER     (LUN_GEO = 600000)


c LUN_MCF_MOD06: PCF logical reference number (LUN) of MOD06 metadata 
c                configuration file (MCF)

      integer        LUN_MCF_MOD06
      PARAMETER     (LUN_MCF_MOD06 = 412501)

      integer        INVENTORYMETADATA
      PARAMETER     (INVENTORYMETADATA = 2)

      integer        ARCHIVEMETADATA
      PARAMETER     (ARCHIVEMETADATA = 3)

      integer        VRSN_GEO 
      PARAMETER     (VRSN_GEO = 1)

      integer        VRSN_MOD06 
      PARAMETER     (VRSN_MOD06 = 1)

      integer        FAIL,    SUCCEED
      PARAMETER     (FAIL=-1, SUCCEED=0)

      real           NO_SET_FLAG
      PARAMETER     (NO_SET_FLAG = -99999.0)

      real           MAX_ABS_VALUE_PSA
      PARAMETER     (MAX_ABS_VALUE_PSA = 9999.99)

      integer        MAX_NUM_RP_PAIRS
      parameter     (MAX_NUM_RP_PAIRS=50)




      integer        MAX_NUM_PNTRS
      PARAMETER     (MAX_NUM_PNTRS=50)

      integer        MAX_NUM_LCLPNTRS
      PARAMETER     (MAX_NUM_LCLPNTRS=50)


c-------------------------------------------------------------------------------
c MOD06 MeasuredParameter specific PARAMETERs and definitions 
c-------------------------------------------------------------------------------

      integer        NUM_MEAS_PARM_MOD06
      PARAMETER     (NUM_MEAS_PARM_MOD06 = 1)

c-----database of MOD06 MeasuredPARAMETER names
      character*60   Name_MeasParm_MOD06(NUM_MEAS_PARM_MOD06)
     1               / 'Cloud_Top_Pressure' /

c-------------------------------------------------------------------------------
c MOD06 PSA specific PARAMETERs and definitions
c-------------------------------------------------------------------------------

      integer        NUM_PSA_MOD06
      PARAMETER     (NUM_PSA_MOD06 = 20)

      integer        NUM_ARCH_PSA_SC_MOD06
      PARAMETER     (NUM_ARCH_PSA_SC_MOD06 = 0)

      integer        MAX_NUM_ARCH_PSA_SC_MOD06
      PARAMETER     (MAX_NUM_ARCH_PSA_SC_MOD06 = 10)

c-----database of MOD06 PSA names  
      Character*30   Name_PSA_MOD06(NUM_PSA_MOD06)
     1               / 'SuccessCloudTopPropRtrPct_IR',     'SuccessCloudPhaseRtrPct_IR',
     2                 'SuccessCloudOptPropRtrPct_VIS',    'LowCloudDetectedPct_IR',
     3                 'MidCloudDetectedPct_IR',           'HighCloudDetectedPct_IR',
     4                 'ThinCloudDetectedPct_IR',          'ThickCloudDetectedPct_IR',
     5                 'OpaqueCloudDetectedPct_IR',        'CirrusCloudDetectedPct_IR',
     6                 'IceCloudDetectedPct_IR',           'WaterCloudDetectedPct_IR',
     7                 'MixedCloudDetectedPct_IR',         'CloudPhaseUncertainPct_IR',
     8                 'OceanCoverFractionPct',            'LandCoverFractionPct',
     9                 'SnowCoverFractionPct',             'CloudCoverFractionPct_VIS',
     1                 'WaterCloudDetectedPct_VIS',        'IceCloudDetectedPct_VIS'       /

      Character*30 Name_ArchPSA_SC_MOD06(MAX_NUM_ARCH_PSA_SC_MOD06)
     1             / MAX_NUM_ARCH_PSA_SC_MOD06*BLANK /


c------------------------------------------------------------------------
c Specific declarations for MOD06 common inventory Runtime Parameter data 
c------------------------------------------------------------------------

c LUN_OF_NUM_INV_RP_MOD06: PCF RP LUN containing the number of PGE06 common 
c "Inventory" RP metadata objects
      integer        LUN_OF_NUM_INV_RP_MOD06
      PARAMETER     (LUN_OF_NUM_INV_RP_MOD06 = 413000)

cc NUM_INV_RP_MOD06:  Number of PGE06 common RP Inventory metadata objects 
      integer        NUM_INV_RP_MOD06
      PARAMETER     (NUM_INV_RP_MOD06 = 7)

c LUN_INV_RP_MOD06:  PCF LUNs of PGE06 common RP Inventory metadata objects 
      integer        LUN_INV_RP_MOD06(NUM_INV_RP_MOD06)
     1               / 413001,413003,413005,413007,413009,413011,413013 /

c Name_INV_RP_MOD06:  Names of PGE06 common RP Inventory metadata objects 
      character*50   Name_INV_RP_MOD06(NUM_INV_RP_MOD06)
     1               / 'REPROCESSINGACTUAL',
     2                 'REPROCESSINGPLANNED',
     3                 'LOCALVERSIONID',
     4                 'PGEVERSION',
     5                 'ASSOCIATEDPLATFORMSHORTNAME.1',
     6                 'ASSOCIATEDINSTRUMENTSHORTNAME.1',
     7                 'ASSOCIATEDSENSORSHORTNAME.1'         /


c-------------------------------------------------------------------------------
c Specific declarations for MOD06 common Archive Runtime Parameter data 
c-------------------------------------------------------------------------------

c LUN_OF_NUM_ARCH_RP_MOD06: PCF RP LUN containing the number of PGE06 common 
c "Archive" RP metadata objects
      integer        LUN_OF_NUM_ARCH_RP_MOD06
      PARAMETER     (LUN_OF_NUM_ARCH_RP_MOD06 = 413100)
