MAPIHOME=/modishome/wolf/v2_baselined/toolkits/mapi2.3.1
PGSHOME=/modishome/wolf/v2_baselined/toolkits/TOOLKIT
HDFHOME=/modishome/wolf/v2_baselined/toolkits/HDF4.1r1/NewHDF

API_INC = $(MAPIHOME)/h
PGSINC = $(PGSHOME)/include
HDFINC = $(HDFHOME)/include

API_LIB = $(MAPIHOME)/n32bit
PGSLIB = $(PGSHOME)/lib/sgi32
HDFLIB = $(HDFHOME)/lib

INCLUDES = -I$(PGSINC) -I$(HDFEOS_INC) -I$(API_INC) -I$(HDFINC)

LIBS = -L$(API_LIB) -lmapi \
       -L$(PGSLIB) -lPGSTK \
       -L$(HDFEOS_LIB) -lhdfeos \
       -L$(HDFLIB) -lmfhdf -ldf -ljpeg -lz\

SRCS = spec2fort.c
OBJS = spec2fort.o
LINTS = spec2fort.ln
FSRCS = get_spec_info.c
FOBJS = get_spec_info.o
FLINTS = get_spec_info.ln
CFLAGS = -g
FFLAGS = -g

all:	spec2fort get_spec_info

spec2fort:	$(OBJS)
		$(CC) $(CFLAGS) $(OBJS) -lm -o $@

get_spec_info:	get_spec_info.f
		f77 -C -n32 -g -col120 -c get_spec_info.f $(INCLUDES)

lint:	spec2fort.lint

spec2fort.lint:	$(LINTS)
		lint $(LINTS) -ac -onr
		touch $@

.SUFFIXES:	.ln

.c.o:
	cd `dirname $@`; $(CC) $(CFLAGS) -c $<

.c.ln:
	cd `dirname $@`; lint -ac $<
